const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();
const { About } = Me.imports.preferences.about;
const { General } = Me.imports.preferences.general;

function init() {
  ExtensionUtils.initTranslations(Me.metadata.uuid);
}

function fillPreferencesWindow(window) {
  const settings = ExtensionUtils.getSettings(
    "org.gnome.shell.extensions.auto-power-profile"
  );
  window.add(new General(settings));
  window.add(new About(settings));
}
